pcl::octree::OctreePointCloudDensityContainer Class Reference

Octree pointcloud density leaf node class More...

`#include <pcl/octree/octree_pointcloud_density.h>`

Inheritance diagram for pcl::octree::OctreePointCloudDensityContainer:

## Public Member Functions

| OctreePointCloudDensityContainer ()
| Class initialization. More...
| ~OctreePointCloudDensityContainer ()
| Empty class deconstructor. More...
virtual OctreePointCloudDensityContainer * | deepCopy () const
| deep copy function More...
bool | operator== (const OctreeContainerBase &other) const override
| Equal comparison operator. More...
void | addPointIndex (uindex_t)
| Read input data. More...
uindex_t | getPointCounter ()
| Return point counter. More...
void | reset () override
| Reset leaf node. More...
Public Member Functions inherited from pcl::octree::OctreeContainerBase
virtual | ~OctreeContainerBase ()=default
bool | operator!= (const OctreeContainerBase &other) const
| Inequal comparison operator. More...
virtual uindex_t | getSize () const
| Pure abstract method to get size of container (number of indices) More...
void | addPointIndex (const index_t &)
| Empty addPointIndex implementation. More...
void | getPointIndex (index_t &) const
| Empty getPointIndex implementation as this leaf node does not store any point indices. More...
void | getPointIndices (Indices &) const
| Empty getPointIndices implementation as this leaf node does not store any data. More...

## Detailed Description

Octree pointcloud density leaf node class

Note
  This class implements a leaf node that counts the amount of points which fall into its voxel space.

Author
  Julius Kammerl (juliu.nosp@m.s@ka.nosp@m.mmerl.nosp@m..de)

Definition at line 50 of file octree_pointcloud_density.h.

## Constructor & Destructor Documentation

## OctreePointCloudDensityContainer()

pcl::octree::OctreePointCloudDensityContainer::OctreePointCloudDensityContainer | ( |  | ) |

inline

Class initialization.

Definition at line 53 of file octree_pointcloud_density.h.

Referenced by deepCopy().

## ~OctreePointCloudDensityContainer()

pcl::octree::OctreePointCloudDensityContainer::~OctreePointCloudDensityContainer | ( |  | ) |

inline

Empty class deconstructor.

Definition at line 56 of file octree_pointcloud_density.h.

## Member Function Documentation

## addPointIndex()

void pcl::octree::OctreePointCloudDensityContainer::addPointIndex | ( | uindex_t |  | ) |

inline

Read input data.

Only an internal counter is increased.

Definition at line 79 of file octree_pointcloud_density.h.

## deepCopy()

virtual OctreePointCloudDensityContainer* pcl::octree::OctreePointCloudDensityContainer::deepCopy | ( |  | ) | const

inline virtual

deep copy function

Definition at line 60 of file octree_pointcloud_density.h.

References OctreePointCloudDensityContainer().

## getPointCounter()

uindex_t pcl::octree::OctreePointCloudDensityContainer::getPointCounter | ( |  | ) |

inline

Return point counter.

Returns
  Amount of points

Definition at line 85 of file octree_pointcloud_density.h.

Referenced by pcl::octree::OctreePointCloudDensity< PointT, LeafContainerT, BranchContainerT >::getVoxelDensityAtPoint().

## operator==()

bool pcl::octree::OctreePointCloudDensityContainer::operator== | ( | const OctreeContainerBase & | other | ) | const

inline override virtual

Equal comparison operator.

Parameters

  [in] | other | OctreePointCloudDensityContainer to compare with

Reimplemented from pcl::octree::OctreeContainerBase.

Definition at line 69 of file octree_pointcloud_density.h.

## reset()

void pcl::octree::OctreePointCloudDensityContainer::reset | ( |  | ) |

inline override virtual

Reset leaf node.

Implements pcl::octree::OctreeContainerBase.

Definition at line 92 of file octree_pointcloud_density.h.

The documentation for this class was generated from the following file:

- pcl/octree/octree_pointcloud_density.h